PHP en MySQL en Apache

Hallo luitjes, Apple installeerd met OSX.2 versie PHP-4.1.2, Apache 1.3.26 en wil je dat combineren met een database dan heb je inmiddels MySQL 4.0.12.

PHP en Apache heb ik inmiddels geactiveerd en werkend :smiley:

Nu wil ik eigenlijk de laatste versie installeren van PHP en MySQL.
MySQL 4.0.12 is een .pkg dus wordt geinstalleerd via de installer, maar PHP wil ik updaten van 4.1.2 naar 4.3.1 en dat moet via Terminal.
Heb op het Internet gekeken naar de juiste commando’s, maar kon niets bruikbaars vinden.
Vraag 1: wie kan de exacte commandoregels even opzetten?
Vraag 2: in welke volgorde moet ik Apache-MySQL-PHP installeren cq configureren?
Vraag 3: van MySQL heb ik 3 versies gedownload zgn Standard, Max en Debug en omdat ik (nog) geen ervaring heb met MySQL zeggen deze versies mij helemaal niets, iemand?
Vraag 4: waar vind ik informatie m.b.t. beveiliging van databasegegevens die middels deze web-oplossing beschikbaar zijn, m.a.w. in PHP, MySQL en/of Apache?

Bij voorbaat dank…

Hele goede uitleg is te vinden op: [url=http://www.entropy.ch/software/macosx]deze pagina[/url], van Marc Liyanage... werkt bij mij altijd perfect.